import mysql.simplesql as sql

tables = ['discountsauto']


def insertDiscountsauto(disc):
    yield sql.Insert(table='discountsauto', values={
        'shemecode': disc.get('schemecode', None),
        'disccode': disc.get('disccode', None),
        'name': disc.get('name', None),
        'disctype': disc.get('disctype', None),
        'discmode': disc.get('discmode', None),
        'discsize': disc.get('discsize', None),
        'rtext': disc.get('rtext', None),
        'date_beg': disc.get('datebeg', None) if disc.get('datebeg', None) else None,
        'date_end': disc.get('dateend', None) if disc.get('dateend', None) else None,
        'time_beg': disc.get('timebeg', None) if disc.get('timebeg', None) else None,
        'time_end': disc.get('timeend', None) if disc.get('timeend', None) else None,
        'days_beg': disc.get('daysbeg', 0),
        'days_end': disc.get('daysend', 0),
        'quant_beg': disc.get('quantbeg', None),
        'quant_end': disc.get('quantend', None),
        'sum_beg': disc.get('sumbeg', None),
        'sum_end': disc.get('sumend', None),
        'pricecode': disc.get('pricecode', None),
        'rsummode': disc.get('rsummode', 0),
        'cardgroupcode': disc.get('cardgroupcode', 0),
        'birthdaymode': disc.get('birthdaymode', 0),
        'catalogid': disc.get('catalogid', None),
        'catalogquantbeg': disc.get('catalogquantbeg', None),
        'catalogquantend': disc.get('catalogquantend', None),
        'catalogsumbeg': disc.get('catalogsumbeg', None),
        'catalogsumend': disc.get('catalogsumend', None),
    })


def deleteDiscountsauto(disc):
    yield sql.Delete(table='discountsauto',
                     whereFields=['disccode', 'shemecode'],
                     whereValues=[disc.get('disccode', None),disc.get('schemecode', None)])


def clearDiscountsauto():
    yield sql.DeleteAll(table='discountsauto')
