import mysql.simplesql as sql

tables = ['excisemark']
default_excisetype = 'ALCOHOL'


def getStatus(status):
    try:
        return int(status)
    except:
        return 1


def insertExciseMark(excisemark):
    yield sql.Insert(table='excisemark', values={
        'excisemarkid': excisemark.get('excisemarkid', None),
        'excisetype': excisemark.get('excisetype', default_excisetype),
        'status': getStatus(excisemark.get('status'))
    })


def deleteExciseMark(excisemark):
    for i in deleteExciseMarkById(excisemark.get('excisemarkid', None), excisemark.get('excisetype', default_excisetype)):
        yield i


def deleteExciseMarkById(excisemarkid, excisetype=default_excisetype):
    yield sql.Delete(table='excisemark',
            whereFields=['excisemarkid', 'excisetype'],
            whereValues=[excisemarkid, excisetype])


def clearExciseMark():
    yield sql.DeleteAll(table='excisemark')
